html {
  height: 100%;
}
body {
  min-height: 100%;
}

body {
  background: #f7f7f7;
}
.btn {border-radius: 0;}
.form-control {border-radius: 0;}

.big-footer {
  background: #111;
  color: #fff;
}

.big-footer a {
  color: #fff;
  text-decoration: none;
}

.big-footer-item {
  margin: 2em 0;
}
.big-footer-date {
  text-transform: uppercase;
  font-size: 70%;
}

.big-footer .bottom-menu {
  font-size: 75%;
  color: #aaa;
}

.big-footer .bottom-menu a {
  color: #aaa;
}

.big-footer .bottom-menu a:hover {
  color: #eee;
}

.status-badge {
  background: #66c20a;
  color: #fff;
  padding: 3px 10px;
}

.contacts-badge {
  background: #FFCA46;
  color: #000;
  padding: 3px 10px;
}

.beta-badge {
  background: #239daa;
  color: #fff;
  padding: 3px 10px;
}

.tech-badge {
  background: #fff;
  color: #000;
  padding: 3px 10px;
}

.main-badge {
  background: #0e4064;
  color: #fff;
  padding: 3px 10px;
  margin-right: 10px;
}

.promo-container {
  position: relative;
  min-height: 180px;
  background-size: cover; /* Растягивает изображение на всю ширину и высоту */
  background-position: center; /* Центрирует изображение */
  background-repeat: no-repeat; /* Убирает повтор изображения */
  width: 100%; /* Устанавливает ширину на всю страницу */
}

.promo-content {
  /*background: #0e4064; */
  background: #239daa;
  color: #333;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
}

.shorts-promo {
  color: #092c46;
  text-decoration: none;
}


a.promo {color: #fff; text-decoration: none;}

a.promo:hover {
  color: #FFF; text-decoration: none;
  text-shadow: 0 0 1px #000;
}


.glossary-container {
  background-image: url('https://assets.0512.ru/glossary/glossary-background.jpg');
}

.services-container {
  background-image: url('https://assets.0512.ru/services/services-background.jpg');
}

.beta-container {
  background-image: url('https://assets.0512.ru/beta/beta.jpg');
}

.viewpoint-container {
  background-image: url('https://assets.0512.ru/services/viewpoint.png');
}

.pro a { color: #fff; text-decoration: none;}

.nav-0512 {
  /*background: #91b000 !important;*/
  background: #0e4064 !important;
  padding: 10px 0;
}

.navbar-brand a, .navbar-brand a:hover {
  color: #fff !important;
}

.navbar-brand span {
  padding: 3px 8px;
}

a.short { color: #000; text-decoration: none; }
a.short:hover {
  color: #FFF; text-decoration: none;
  text-shadow: 1px 1px 1px #000;
}

.shorts-container {
  background-color: #FFCA46;
}
.shorts-container .item {
  display: inline-block;
  margin-right: 1em;
  padding: 0.4rem 0.5rem 0;
}


/* NOTE: Visit link for details:
  https://links.0512.ru/css-3d-parallax */

img.parallax {
  --f: .1; /* the parallax factor (the smaller the better) */
  --r: 10px; /* radius */
  
  --_f: calc(100%*var(--f)/(1 + var(--f)));
  --_a: calc(90deg*var(--f));
  //width: 250px; /* the image size */
  aspect-ratio: calc(1 + var(--f));
  object-fit: cover;
  clip-path: inset(0 var(--_f) 0 0 round var(--r));
  transform: perspective(400px) var(--_t,rotateY(var(--_a)));
  transition: .5s;

}

img.parallax:hover {
  clip-path: inset(0 0 0 var(--_f) round var(--r));
  --_t: translateX(calc(-1*var(--_f))) rotateY(calc(-1*var(--_a)))
}
h3.title {
  text-transform: uppercase;
  padding: 10px 0;
  background-image: url('https://assets.0512.ru/base/6bg.png');
}

h3.title span {
  background: #092c46;
  color: #fff;
  padding: 11px 10px;
}

span.wow {
  background: #0e4064;
  color: #fff;
  text-transform: uppercase;
  padding: 0 1rem;
}

.page_info {
  border-top: 1px solid #ccc;
  border-bottom: 1px solid #ccc;
  text-transform: uppercase;
  color: #aaa;
  font-size: 75%;
  padding: 1rem 0;
  margin: 1rem 0;
}

.cookie-crumbs {
  padding: 1rem 0;
  color: #aaa;
  font-size: 75%;
}

blockquote {
  font-size: 95%;
  background-image: url('https://assets.0512.ru/base/4bg.png');
  padding: 1rem;
  margin: 0;
  color: #555;
}

blockquote p {
  background: #fff;
  padding: 1.5rem;
  margin: 0;
  text-align: justify;
}

.cursor {
  animation: flicker 1.5s linear infinite;
  font-size: 90%;
}

@keyframes flicker {
  50% {
    opacity: 0;
  }
}

.navbar-brand span {
  padding: 3px 2px;
}

.text-hi {
  color: #87e22b;
}

.f-open-sans {
  font-family: "Open Sans", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  font-variation-settings:
    "wdth" 100;
}

.blog-image-container {
  position: relative;
  min-height: 200px;
  background-size: cover; /* Растягивает изображение на всю ширину и высоту */
  background-position: center; /* Центрирует изображение */
  background-repeat: no-repeat; /* Убирает повтор изображения */
  width: 100%; /* Устанавливает ширину на всю страницу */
}

a.post-link {
  color: #000;
  text-decoration: none;
}

a.post-link:hover {
  color: #0e4064;
}

.post-date {
  color: #aaa;
  text-transform: uppercase;
  font-size: 90%;
}

.post-preview {
  color: #555;
  font-size: 85%;
}

.pro {
  background: #092c46;
  padding: 7px 0;
  text-transform: uppercase;
  font-size: 75%;
}

.yc {
  color: #f6ff4b;
}

.content {
  padding: 20px;
  background: #fff;
  margin: 1rem 0;
  border: 1px solid #eee;
}

span.soon {
  font-size: 750%;
  font-weight: bold;
  border: 5px solid #000;
  padding: 0 15px;
}